Update Feature Flag

Update Feature Flag
Update a feature flag

Update a feature flag.

Request
URI
PATCH
https://api.example.local/v3/feature_flags/{name}
COPY
Path Parameters
string
name
Required

The name of the feature flag

Possible values are : app_bits_upload, app_scaling, diego_docker, diego_cnb, env_var_visibility, hide_marketplace_from_unauthenticated_users, private_domain_creation, resource_matching, route_creation, route_sharing, service_instance_creation, service_instance_sharing, set_roles_by_username, space_developer_env_var_visibility, space_scoped_private_broker_creation, task_creation, unset_roles_by_username, user_org_creation,

Request Body

Feature flag object that needs to be updated

{
    "enabled": false,
    "custom_error_message": "string"
}
boolean
enabled
Optional

Whether the feature flag is enabled

string
custom_error_message
Optional

The error string returned by the API when a client performs an action disabled by the feature flag

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully updated feature flag

Returns FeatureFlag of type(s) application/json
{
    "name": "string",
    "enabled": false,
    "updated_at": "string",
    "custom_error_message": "string",
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        }
    }
}
string
name
Optional

The name of the feature flag

boolean
enabled
Optional

Whether the feature flag is enabled

string As date-time As date-time
updated_at
Optional

The time the feature flag was last updated; this will be blank for feature flags that have not been configured

string
custom_error_message
Optional

The error string returned by the API when a client performs an action disabled by the feature flag

object
links
Optional

links


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


503

Service Unavailable

Returns ServiceUnavailable of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'